Emitted when an element is reordered from a RealTimeArray.

The value that was moved can be found at toIndex.

### Hierarchy

- ArrayReorderEvent

### Implements

- IValueChangedEvent

## Index

### Properties

- element
- fromIndex
- local
- name
- sessionId
- toIndex
- user
- NAME

## Properties

### element

element: ObservableArray

Implementation of IValueChangedEvent.element

The RealTimeArray or HistoricalArray which was modified

### fromIndex

fromIndex: number

The prior index of the moved element

### local

local: boolean

Implementation of IValueChangedEvent.local

### name

name: string = ArrayReorderEvent.NAME

Implementation of IValueChangedEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### sessionId

sessionId: string

Implementation of IValueChangedEvent.sessionId

The sessionId corresponding to the session that performed the modification

### toIndex

toIndex: number

The new index of the element, whose value can be accessed by `element.get(toIndex)`

### user

user: DomainUser

Implementation of IValueChangedEvent.user

The user which performed the modification

### StaticNAME

NAME: "reorder" = "reorder"